Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.spreadsheet
Class LogSpreadsheet

    java.lang.Object
      lbg.simulator.tools.spreadsheet.LogSpreadsheet

    public class LogSpreadsheet

extends java.lang.Object

Analyzes a given LBG simulator log file.

Author:
  Cyril Briquet

Constructor Summary
`LogSpreadsheet(java.lang.String spreadsheet_fn)`

Method Summary
`java.lang.String` | `dump()`
`int` | `getColumnsCount()`
`java.lang.String[]` | `getColumnsTitles()`
`java.lang.Float[]` | `getDataColumn(java.lang.String col_title)`
`java.lang.String` | `getFilename()`
`int` | `getLinesCount()`
`java.lang.String[]` | `getStrategyColumn(java.lang.String col_title)`
`boolean` | `isStrategyColumn(java.lang.String col_title)`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogSpreadsheet

    public LogSpreadsheet(java.lang.String spreadsheet_fn)
                   throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFilename

    public java.lang.String getFilename()

### getColumnsCount

    public int getColumnsCount()

### getLinesCount

    public int getLinesCount()

### getColumnsTitles

    public java.lang.String[] getColumnsTitles()

### isStrategyColumn

    public boolean isStrategyColumn(java.lang.String col_title)
                             throws GridException

  Throws:
    `GridException`

### getStrategyColumn

    public java.lang.String[] getStrategyColumn(java.lang.String col_title)
                                         throws GridException

  Throws:
    `GridException`

### getDataColumn

    public java.lang.Float[] getDataColumn(java.lang.String col_title)
                                    throws GridException

  Throws:
    `GridException`

### dump

    public java.lang.String dump()
                          throws GridException

  Throws:
    `GridException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.